PDA

View Full Version : anaconda3 gui nie startuje



grafi
05-Dec-2021, 17:38
Błąd

anaconda-navigator
2021-12-06 01:18:09,575 - WARNING linux_scaling.get_scaling_factor_using_dbus:31
An exception occurred during fetching list of system display settings.

Authorization required, but no authorization protocol specified
qt.qpa.screen: QXcbConnection: Could not connect to display :0.0
Could not connect to any X display.


Wykonano po za instalacją samej anacondy



ypper install libXcomposite1 libXi6 libXext6 libXau6 libX11-6 libXrandr2 libXrender1 libXss1 libXtst6 libXdamage1 libXcursor1 libxcb1 libasound2 libX11-xcb1 Mesa-libGL1 Mesa-libEGL1


export PATH = $PATH:home/grafi/anaconda3/bin

reboot


conda install pyqt --force
conda install qt --force


oraz wyedytowano


sudo nano ~/.anaconda/navigator/anaconda-navigator.ini

linijkę
enable_high_dpi_scaling = No

do
enable_high_dpi_scaling = None



reboot
I nie działa

Z tego co widziałem jest to bug anacondy nie zależny od używanej dystrybucji linux
Gdyby ktoś miał jakieś obejście to super też, będe szperać

pbojczuk
06-Dec-2021, 10:56
Po pierwsze, a skąd my mamy wiedzieć, o czym mówisz. :-)


153-2:~ # zypper ref
Repository 'dvd' is up to date.
Repository 'openSUSE-Leap-15.3-2' is up to date.
Repository 'packman' is up to date.
Repository 'Update repository of openSUSE Backports' is up to date.
Repository 'Non-OSS Repository' is up to date.
Repository 'Main Repository' is up to date.
Repository 'Update repository with updates from SUSE Linux Enterprise 15' is up to date.
Repository 'Main Update Repository' is up to date.
Repository 'Update Repository (Non-Oss)' is up to date.
Repository 'snappy 15.3' is up to date.
All repositories have been refreshed.
153-2:~ # zypper se anaconda
Loading repository data...
Reading installed packages...
No matching items found.


Ale - po drugie - może to Ci podpowie:

153-2:~ # gparted

(gpartedbin:3565): Gtk-WARNING **: 18:51:17.204: cannot open display:

Za to jak klikniesz w ikonkę jako zwykły użytkownik, to uprzejmie pyta o hasło i odpala aplikację.

grafi
07-Dec-2021, 17:15
Po pierwsze, a skąd my mamy wiedzieć, o czym mówisz. :-)


153-2:~ # zypper ref
Repository 'dvd' is up to date.
Repository 'openSUSE-Leap-15.3-2' is up to date.
Repository 'packman' is up to date.
Repository 'Update repository of openSUSE Backports' is up to date.
Repository 'Non-OSS Repository' is up to date.
Repository 'Main Repository' is up to date.
Repository 'Update repository with updates from SUSE Linux Enterprise 15' is up to date.
Repository 'Main Update Repository' is up to date.
Repository 'Update Repository (Non-Oss)' is up to date.
Repository 'snappy 15.3' is up to date.
All repositories have been refreshed.
153-2:~ # zypper se anaconda
Loading repository data...
Reading installed packages...
No matching items found.


Ale - po drugie - może to Ci podpowie:

153-2:~ # gparted

(gpartedbin:3565): Gtk-WARNING **: 18:51:17.204: cannot open display:

Za to jak klikniesz w ikonkę jako zwykły użytkownik, to uprzejmie pyta o hasło i odpala aplikację.

Przepraszam nie chciałem być enigmatyczny
Anaconda jest to środowisko phyton, instalowane via ./anaconda.sh
z całą masą dodatkowych narzędzi.
Po za wykonaniem instrukcji instalacyjnych ze strony anakonda
Próbowałem też doinstalować pewne moduły w celu usunięcia błędu konkretnie

conda install pyqt --force
conda install qt --force

Błąd który opisuje wystepuje na linux jak i na windows.
Jak mówiłem będę grzebał w celu znalezienia rozwiązania.

Gdyby ktoś miał jakieś pomysły, to kurna nie pogardze.

ps. całe ustrojstwo dostępne jest tu https://www.anaconda.com (https://www.anaconda.com/)
Pozdrawiam
Grafi

pbojczuk
08-Dec-2021, 11:35
grafi... i co ja CI mam powiedzieć?

https://paste.opensuse.org/images/88370113.png

Jupyter notebook działa i w przeglądarce i w konsoli Qt...

Wszystko zainstalowałem w trybie zwykłego użytkownika.

Jeżeli dobrze rozumiem całość projektu, to to jakiś venv-like z zestawem modułów pythonowych.

A nie możesz po prostu zrobić sobie venva, w którym zainstalujesz swoje moduły i będziesz miał te same funkcjonalości?

Z całym szacunkiem PyCharm Pro myślę, że nie kupisz, a wersję dla kolektywu masz w snapie: snapcraft.io/pycharm-community (https://snapcraft.io/pycharm-community)

1. Czy wiesz, co to jest Python Virtual Environment?
2. Jakich funkcjolaności potrzebujesz, które ma Anaconda, których nie mam "zwykły" Python Virtual Environment?
3. W sąsiednim wątku, sprawdziłem 0ad, które mi też działa i to na KVM/qemu, więc może masz po prostu zrąbany system i/lub ustawienia Twojego konta użytkownika?

grafi
08-Dec-2021, 15:57
Oki zamknęło sprawę
O pytonie pojęcia nie mam a mieć chce.
Mam Kurs z użyciem anakondy więc chciałem zainstalować.
Wpisanie w googla Python Virtual Environment venv załatwiło sprawę (10 minut temu nie wiedziałem co to venv)
Klasyczny przypadek sytuacji użytkownik nie wie, że można do sprawy podejść inaczej i walczy z bundle dystrybucją czegokolwiek, tu pyton
W każdym razie z resztą sobie poradzę i bardzo dziękuję za pomoc.
Kłaniam się.